<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    <div class="peer-detail-page">
        <p>
            <a href="/peers" class="button--link">
                {{ svg "icon-chevron-left" "icon--inline" }}
                {{ i18n "Back" }}
            </a>
        </p>

        <section class="peer-detail-page__actions">
            <a href="/peers/{{ .Peer.ID }}/edit" class="button--primary">
                {{ svg "icon-pencil" "icon--inline" }}
                {{ i18n "Edit" }}
            </a>

            {{ if .ShowConnectButton }}
                <a
                    href="/services/connection/{{ .Peer.ID }}/connect"
                    class="button--primary"
                >
                    {{ svg "icon-link" "icon--inline" }}
                    {{ i18n "Connect with Service from" }}
                    {{ .Peer.Name }}
                </a>
            {{ end }}
        </section>

        <section class="service-detail-page__section">
            <p class="service-detail-page__section-header">
                {{ svg "icon-link" "icon--inline" }}
                {{ i18n "Manager Address" }}
            </p>

            <p class="peer-page__section-content">
                {{ .Peer.ManagerAddress }}
            </p>

            <p class="peer-detail-page__section-header">
                {{ svg "icon-organization" "icon--inline" }}
                {{ i18n "Peer ID" }}
            </p>

            <p class="peer-page__section-content">
                {{ .Peer.ID }}
            </p>

            <p class="peer-detail-page__section-header">
                {{ svg "icon-function-line" "icon--inline" }}
                {{ i18n "Roles" }}
            </p>

            <p class="peer-page__section-content">
                {{ if eq (len .Peer.Roles) 0 }}
                    <small>{{ i18n "None" }}</small>
                {{ else }}
                    {{ range $role := .Peer.Roles }}
                        {{ $role }}<br />
                    {{ end }}
                {{ end }}
            </p>
        </section>
    </div>
{{ end }}
